{ pkgs, musnix, ... }:

{
  musnix = {
    enable = true;
    alsaSeq.enable = true; # this only loads the snd_seq and snd_rawmidi modules.
    rtcqs.enable = true; # install the rtcqs command-line utulity, which analyzes the system and makes suggestions about what to change to make it more audio-friendly.
    # soundcardPciId = ""; # lspci | grep -i audio
    kernel = {
      realtime = false; # Enabling this option will rebuild your kernel.
      packages = pkgs.linuxPackages_rt;
    };
    # rtirq Options
    # NOTES:
    #   The following rtirq options can be used without setting musnix.enable = true;
    #   musnix.kernel.realtime must be set to true to use these options.
    # musnix can also install and run the rtirq script as a systemd service.
    # To see a list of options for using this feature, use the following command:
    # nixos-option musnix.rtirq
    # To see a description of one of the listed options (in this case enable):
    # nixos-option musnix.rtirq.enable
    rtirq.enable = true;

    das_watchdog.enable = true;
  };
}